## keystone 23.0.0+git2023071214.093b42a1

=== debian/changelog ===
keystone (2:23.0.0+git2023071214.093b42a1-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/remove-dependency-on-cryptography-36.0.0.patch: Dropped. Fixed
    in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 14:28:34 -0400

keystone (2:23.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/p/remove-dependency-on-cryptography-36.0.0.patch: Cherry-picked
    from upstream to remove dependency on python3-cryptography 36.0.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:43:05 -0400

keystone (2:22.0.0+git2023030314.c08d9767-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 14:22:29 -0500

keystone (2:22.0.0+git2023011009.7d4047cb-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 09:57:43 -0500

=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
Build-Depends:
 apache2-dev,
 debhelper-compat (= 13),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinx-feature-classification (>= 0.3.2),
Build-Depends-Indep:
 crudini,
 python3-bashate (>= 0.5.1),
 python3-bcrypt (>= 3.1.3),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.7),
 python3-dogpile.cache (>= 1.0.2),
 python3-fixtures,
 python3-flake8-docstrings (>= 0.2.1.post1),
 python3-flask (>= 1.0.2),
 python3-flask-restful (>= 0.3.5),
 python3-freezegun (>= 0.3.6),
 python3-hacking,
 python3-jsonschema (>= 3.2.0),
 python3-jwt (>= 1.6.1),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 7.0.0),
 python3-ldap (>= 3.0.0),
 python3-ldappool (>= 2.0.0),
 python3-lxml (>= 4.5.0),
 python3-memcache,
 python3-migrate (>= 0.13.0),
 python3-mock (>= 2.0.0),
 python3-msgpack (>= 0.5.0),
 python3-oauthlib (>= 0.6.2),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 8.5.0+really.8.4.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.44.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.10.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-passlib (>= 1.7.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-pycadf (>= 1.1.0),
 python3-pycodestyle (>= 2.0.0),
 python3-pymongo,
 python3-pymysql,
 python3-pysaml2 (>= 5.0.0),
 python3-requests (>= 2.14.2),
 python3-scrypt (>= 0.8.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.blockdiag (>= 1.5.5),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
 python3-sqlalchemy (>= 1.4.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/keystone
Homepage: https://opendev.org/openstack/keystone
Testsuite: autopkgtest-pkg-python

Package: keystone
Architecture: all
Section: python
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-keystone (= ${source:Version}),
 ssl-cert (>= 1.0.12),
 ${misc:Depends},
Recommends:
 ${misc:Recommends},
Description: OpenStack identity service - Daemons
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the daemons.

Package: keystone-common
Architecture: all
Section: python
Depends:
 ${misc:Depends},
Description: OpenStack identity service - Common files
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the common files.

Package: keystone-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
Description: OpenStack identity service - Documentation
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the documentation.

Package: python3-keystone
Architecture: all
Section: python
Depends:
 keystone-common (= ${source:Version}),
 python3-bcrypt (>= 3.1.3),
 python3-cryptography (>= 2.7),
 python3-dogpile.cache (>= 1.0.2),
 python3-fixtures (>= 3.0.0),
 python3-flask (>= 1.0.2),
 python3-flask-restful (>= 0.3.5),
 python3-jsonschema (>= 3.2.0),
 python3-jwt (>= 1.6.1),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 7.0.0),
 python3-ldap,
 python3-migrate (>= 0.13.0),
 python3-msgpack (>= 0.5.0),
 python3-oauthlib (>= 0.6.2),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 8.5.0+really.8.4.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.44.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.10.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 1.4.0),
 python3-passlib (>= 1.7.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-pycadf (>= 1.1.0),
 python3-pymysql,
 python3-pysaml2 (>= 5.0.0),
 python3-scrypt (>= 0.8.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-ldappool (>= 2.0.0),
 python3-memcache,
Provides:
 ${python3:Provides},
XB-Python-Version: ${python3:Versions}
Description: OpenStack identity service - Python 3 library
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the Python 3 libraries.

## keystone 23.0.1

=== debian/changelog ===
keystone (2:23.0.1-0ubuntu1~cloud1) jammy-antelope; urgency=medium

  * d/p/lp2115144-Improve-application-credential-validation-speed.patch:
    Improve application credential validation speed by removing expensive
    duplicate calls and caching results. (LP: #2115144)

 -- Trent Lloyd <trent.lloyd@canonical.com>  Thu, 02 Oct 2025 06:34:50 +0000

keystone (2:23.0.1-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 14 Oct 2023 00:11:29 +0000

keystone (2:23.0.1-0ubuntu1) lunar; urgency=medium

  * d/gbp.conf: Create stable/2023.1 branch.
  * New stable point release for OpenStack Antelope (LP: #2039176).
  * d/p/remove-dependency-on-cryptography-36.0.0.patch: Dropped. Fixed
    in stqable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Oct 2023 09:00:38 -0400

=== debian/control ===
--- 
+++ 
@@ -69,7 +69,7 @@
  python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-sphinxcontrib.blockdiag (>= 1.5.5),
  python3-sphinxcontrib.seqdiag (>= 0.8.4),
- python3-sqlalchemy (>= 1.4.0),
+ python3-sqlalchemy (>= 1.3.0),
  python3-stestr (>= 1.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-tempest (>= 1:17.1.0),
@@ -182,7 +182,7 @@
  python3-pymysql,
  python3-pysaml2 (>= 5.0.0),
  python3-scrypt (>= 0.8.0),
- python3-sqlalchemy (>= 1.4.0),
+ python3-sqlalchemy (>= 1.3.0),
  python3-stevedore (>= 1:1.20.0),
  python3-tz (>= 2013.6),
  python3-webob (>= 1:1.7.1),

## keystone 23.0.2

=== debian/changelog ===
keystone (2:23.0.2-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * OSSA-2025-002: kay reported a vulnerability in Keystone’s ec2tokens and
    s3tokens APIs. By sending those endpoints a valid AWS Signature (e.g., from
    a presigned S3 URL), an unauthenticated attacker may obtain Keystone
    authorization (ec2tokens can yield a fully scoped token; s3tokens can
    reveal scope accepted by some services), resulting in unauthorized access
    and privilege escalation. Deployments where /v3/ec2tokens or /v3/s3tokens
    are reachable by unauthenticated clients (e.g., exposed on a public API)
    are affected.
    Applied upstream patch (Closes: #1120053):
    - Dont_enforce_when_HTTP_GET_on_s3tokens_and_ec2tokens.patch
    - keystone-bug-2119646-stable-2024.1.patch (backported by me)

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Tue, 04 Nov 2025 15:29:32 +0000

keystone (2:23.0.2-1) UNRELEASED; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 Nov 2024 14:35:41 +0100

keystone (2:23.0.0-6) unstable; urgency=medium

  * Updated es.po Spanish translation (Closes: #1017457).
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Aug 2023 10:49:45 +0200

keystone (2:23.0.0-5) unstable; urgency=medium

  * Add remove-blockdiag-schema-to-avoid-ftbfs.patch (Closes: #1042306).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Aug 2023 10:30:36 +0200

## keystone 24.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
WebOb>=1.7.1 # MIT
Flask!=0.11,>=1.0.2  # BSD
Flask-RESTful>=0.3.5  # BSD
cryptography>=2.7 # BSD/Apache-2.0
SQLAlchemy>=1.4.0 # MIT
stevedore>=1.20.0 # Apache-2.0
passlib>=1.7.0 # BSD
python-keystoneclient>=3.8.0 # Apache-2.0
keystonemiddleware>=7.0.0 # Apache-2.0
bcrypt>=3.1.3 # Apache-2.0
scrypt>=0.8.0 # BSD
oslo.cache>=1.26.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.db>=6.0.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.44.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=3.10.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oauthlib>=0.6.2 # BSD
pysaml2>=5.0.0
PyJWT>=1.6.1 # MIT
dogpile.cache>=1.0.2 # BSD
jsonschema>=3.2.0 # MIT
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
msgpack>=0.5.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
pytz>=2013.6 # MIT

=== debian/changelog ===
keystone (2:24.0.0-0ubuntu1~cloud1) jammy-bobcat; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/2023.2 branch.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.

  [ Trent Lloyd ]
  * d/p/lp2115144-Improve-application-credential-validation-speed.patch:
    Improve application credential validation speed by removing expensive
    duplicate calls and caching results. (LP: #2115144)

 -- Trent Lloyd <trent.lloyd@canonical.com>  Thu, 02 Oct 2025 06:19:52 +0000

keystone (2:24.0.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 19:14:39 +0000

keystone (2:24.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.
  * d/control: (Build-)Depend on python3-oslo.i18n version with
    removed deprecated getdefaultlocal() call.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 08:59:53 -0400

keystone (2:23.0.0+git2023090509.bc88c28c-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * d/p/drop-blockdiag.patch: Temporarily drop blockdiags until bug fixed
    upstream.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 09:21:42 -0400

=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
  python3-oslo.config (>= 1:6.8.0),
  python3-oslo.context (>= 1:2.22.0),
  python3-oslo.db (>= 8.5.0+really.8.4.0),
- python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.i18n (>= 6.1.0-0ubuntu2~),
  python3-oslo.log (>= 3.44.0),
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.middleware (>= 3.31.0),
@@ -69,7 +69,7 @@
  python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-sphinxcontrib.blockdiag (>= 1.5.5),
  python3-sphinxcontrib.seqdiag (>= 0.8.4),
- python3-sqlalchemy (>= 1.3.0),
+ python3-sqlalchemy (>= 1.4.0),
  python3-stestr (>= 1.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-tempest (>= 1:17.1.0),
@@ -165,7 +165,7 @@
  python3-oslo.config (>= 1:6.8.0),
  python3-oslo.context (>= 1:2.22.0),
  python3-oslo.db (>= 8.5.0+really.8.4.0),
- python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.i18n (>= 6.1.0-0ubuntu2~),
  python3-oslo.log (>= 3.44.0),
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.middleware (>= 3.31.0),
@@ -182,7 +182,7 @@
  python3-pymysql,
  python3-pysaml2 (>= 5.0.0),
  python3-scrypt (>= 0.8.0),
- python3-sqlalchemy (>= 1.3.0),
+ python3-sqlalchemy (>= 1.4.0),
  python3-stevedore (>= 1:1.20.0),
  python3-tz (>= 2013.6),
  python3-webob (>= 1:1.7.1),

## keystone 24.1.0

=== debian/changelog ===
keystone (2:24.1.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Tue, 30 Sep 2025 13:24:26 +0000

keystone (2:24.0.0-3) unstable; urgency=medium

  * Add set-deprecation-warnings-to-ignore.patch and drop
    py3.12-fix-datetime-usage.patch.
  * Blacklist:
    - test_deprecation_warnings_are_raised_as_exceptions_in_tests
    - test_sign_assertion_logs_message_if_xmlsec1_is_not_installed

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Feb 2024 14:29:26 +0100

keystone (2:24.0.0-2) unstable; urgency=medium

  * Add Python 3.12 fixes (Closes: #1058155):
    - py3.12-use-raw-string-to-avoid-warning.patch.
    - do-not-set-chartset-in-flask-responce.patch.
    - py3.12-fix-datetime-usage.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Dec 2023 09:16:48 +0100

keystone (2:24.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Blacklist broken test:
    - test_backend_sql.SqlCatalog.test_get_service_returns_not_found()

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 08:54:43 +0200

keystone (2:24.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Kill fixes-keystone-default-catalog.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Sep 2023 10:56:47 +0200

=== debian/control ===
Source: keystone
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-apparmor,
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 git,
 python3-bashate,
 python3-bcrypt,
 python3-coverage,
 python3-cryptography,
 python3-dogpile.cache,
 python3-fixtures,
 python3-flask,
 python3-flask-restful,
 python3-freezegun,
 python3-hacking,
 python3-jsonschema,
 python3-jwt,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-ldap,
 python3-ldappool,
 python3-lxml,
 python3-memcache,
 python3-msgpack,
 python3-oauthlib,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.cache,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-passlib,
 python3-pep8,
 python3-pycadf,
 python3-pymongo,
 python3-pysaml2,
 python3-requests,
 python3-scrypt,
 python3-sphinx-feature-classification,
 python3-sphinxcontrib.apidoc,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-tempest,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-tz,
 python3-unittest2,
 python3-webob,
 python3-webtest,
 subunit,
 tempest,
 xmlsec1,
Standards-Version: 4.4.1
Homepage: http://keystone.openstack.org/
Vcs-Browser: https://salsa.debian.org/openstack-team/services/keystone
Vcs-Git: https://salsa.debian.org/openstack-team/services/keystone.git

Package: keystone
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-keystone (= ${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 sqlite3,
 uwsgi-plugin-apparmor,
 uwsgi-plugin-python3,
 xmlsec1,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 apparmor,
Description: OpenStack identity service
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack identity service - documentation
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the documentation.

Package: python3-keystone
Architecture: all
Section: python
Depends:
 python3-bcrypt,
 python3-cryptography,
 python3-dateutil,
 python3-dogpile.cache,
 python3-flask,
 python3-flask-restful,
 python3-jsonschema,
 python3-jwt,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-ldappool,
 python3-lxml,
 python3-memcache,
 python3-msgpack,
 python3-oauthlib,
 python3-openstackclient,
 python3-oslo.cache,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-osprofiler,
 python3-passlib,
 python3-pbr,
 python3-pycadf,
 python3-pyldap,
 python3-pymysql,
 python3-pysaml2,
 python3-scrypt,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tz,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-keystone,
Description: OpenStack identity service - library
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

# auth_token middleware now requires access to HOME, otherwise
# test suite cause FTBFS.  See (LP: #1031022)
export HOME="$(CURDIR)/debian/tests/"

# This is to avoid git clone of keystoneclient when running unit tests.
# See https://review.openstack.org/122768/
export KSCTEST_PATH=/usr/lib/python3/dist-packages/keystoneclient

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_clean:
	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
	rm -rf $(CURDIR)/keystone/test/keystone.sql.log $(CURDIR)/keystone/test/keystone.ldap.log
	rm -rf $(CURDIR)/doc/build
	# NOTE(adam_g) The following stuff is built in /doc/source.  Safe for now, but
	# should be fixed upstream or updated here post-essex
	rm -rf $(CURDIR)/doc/source/keystone*.rst
	rm -rf $(CURDIR)/doc/source/modules.rst
	rm -rf $(CURDIR)/doc/source/sourcecode $(CURDIR)/doc/source/api
	rm -f $(CURDIR)/doc/source/_static/keystone.conf.sample
	rm -f $(CURDIR)/doc/source/_static/keystone.policy.yaml.sample
	rm -rf $(CURDIR)/admin.log $(CURDIR)/keystone-legacy-auth.log
	rm -f $(CURDIR)/debian/keystone.config $(CURDIR)/debian/keystone.postinst debian/keystone.service debian/keystone.init
	find $(CURDIR)/keystone/tests -name '*.db' -delete
	rm -rf $(CURDIR)/vendor keystone/tests/unit/tmp keystone/tests/tmp
	rm -rf $(CURDIR)/.stestr '"'
	rm -f $(CURDIR)/debian/tests/testing.db
	rm -f $(CURDIR)/debian/keystone.keystone*.init $(CURDIR)/debian/keystone.keystone*.service $(CURDIR)/debian/keystone.keystone*.upstart
	find $(CURDIR) -name '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
	rm -f AUTHORS ChangeLog
	dh_clean

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func keystone.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func keystone.postinst

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Doing nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		PYTHON=python$$i python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	mkdir -p $(CURDIR)/keystone/tests/tmp
	pkgos-dh_auto_test --no-py2 'keystone\.tests\.unit.(?!(.*test_v3_federation\.SAMLGenerationTests\.test_sign_assertion_exc.*|.*test_sql_upgrade.FullMigration.*|.*test_hacking_checks\.TestCheckForMutableDefaultArgs\.test.*|.*common\.test_notifications\.NotificationsTestCase.*|.*test_v3_auth\.TestAuthInfo\.test_get_method_names_duplicates.*|.*test_backend_sql\.SqlCatalog\.test_get_service_returns_not_found.*|.*tests\.test_core\.TestTestCase\.test_deprecation_warnings_are_raised_as_exceptions_in_tests.*|.*test_v3_federation.*SAMLGenerationTests.*test_sign_assertion_logs_message_if_xmlsec1_is_not_installed.*))'
endif

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install
	dh_missing --fail-missing
	rm -rf debian/python3-keystone/usr/lib/python*/*/doc
	rm -rf debian/python3-keystone/usr/lib/python*/*/tools
	rm -rf debian/python3-keystone/usr/lib/python*/*/examples
	install -D -m 0600 $(CURDIR)/debian/logging.conf $(CURDIR)/debian/keystone/etc/keystone/logging.conf
	mkdir -p $(CURDIR)/debian/keystone/usr/share/keystone
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf \
		--wrap-width 140 \
		--namespace keystone \
		--namespace oslo.cache \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.db \
		--namespace oslo.middleware \
		--namespace osprofiler
	pkgos-fix-config-default $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf catalog template_file /etc/keystone/default_catalog.templates
	pkgos-fix-config-default $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf DEFAULT log_dir /var/log/keystone
	pkgos-fix-config-default $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf DEFAULT log_file keystone.log
	pkgos-fix-config-default $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf federation sso_callback_template /etc/keystone/sso_callback_template.html

	mkdir -p $(CURDIR)/debian/keystone/etc/keystone/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/keystone/etc/keystone/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace keystone

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/keystone/etc/keystone/policy.d/00_default_policy.yaml

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf oslo_policy policy_dirs /etc/keystone/policy.d

	install -D -m 0644 debian/keystone.apparmor $(CURDIR)/debian/keystone/etc/apparmor.d/usr.bin.keystone-all
	dh_apparmor --profile-name=usr.bin.keystone-all

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/keystone-doc/usr/share/doc/keystone-doc/html
	dh_sphinxdoc
endif

override_dh_installman:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b man doc/source doc/build/man
	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

#override_dh_installmenu:
#	dh_installinit --name=keystone-admin
#	dh_installinit --name=keystone-public

## keystone 25.0.0

=== debian/changelog ===
keystone (2:25.0.0-5~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * OSSA-2025-002: kay reported a vulnerability in Keystone’s ec2tokens and
    s3tokens APIs. By sending those endpoints a valid AWS Signature (e.g., from
    a presigned S3 URL), an unauthenticated attacker may obtain Keystone
    authorization (ec2tokens can yield a fully scoped token; s3tokens can
    reveal scope accepted by some services), resulting in unauthorized access
    and privilege escalation. Deployments where /v3/ec2tokens or /v3/s3tokens
    are reachable by unauthenticated clients (e.g., exposed on a public API)
    are affected.
    Applied upstream patch (Closes: #1120053):
    - keystone-bug-2119646-stable-2024.1.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Tue, 04 Nov 2025 15:28:36 +0000

keystone (2:25.0.0-4) UNRELEASED; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 12:34:34 +0200

keystone (2:25.0.0-3) unstable; urgency=medium

  * Blacklist unit tests failing in 2028 (Closes: #1078623).

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jul 2024 02:35:28 +0200

keystone (2:25.0.0-2) unstable; urgency=medium

  * Remove extraneous python3-unittest2 build dependency (Closes: #1066130).

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 09:13:37 +0200

keystone (2:25.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 10:52:13 +0200

keystone (2:25.0.0~rc1-1) experimental; urgency=medium

  * Add close-on-exec{2,} = true in uwsgi config.
  * New upstream release.
  * Drop debian/patches/py3.12-* applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Mar 2024 11:18:48 +0100

=== debian/control ===
--- 
+++ 
@@ -72,7 +72,6 @@
  python3-testscenarios,
  python3-testtools,
  python3-tz,
- python3-unittest2,
  python3-webob,
  python3-webtest,
  subunit,

=== debian/rules ===
--- 
+++ 
@@ -55,9 +55,18 @@
 	done
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	# See: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1078623
+	# and https://bugs.launchpad.net/keystone/+bug/2076992
+	# test_v3_auth\.TrustAPIBehavior\.test_redelegate_with_role_by_name
+	# test_v3_auth\.TrustAPIBehavior\.test_redelegation_terminator
+	# test_v3_auth\.TrustAPIBehavior\.test_roles_subset
+	# test_v3_auth\.TestTrustAuthFernetTokenProvider\.test_redelegate_with_role_by_name
+	# test_v3_auth\.TestTrustAuthFernetTokenProvider\.test_redelegation_terminator
+	# test_v3_auth\.TestTrustAuthFernetTokenProvider\.test_roles_subset
+
 	@echo "===> Running tests"
 	mkdir -p $(CURDIR)/keystone/tests/tmp
-	pkgos-dh_auto_test --no-py2 'keystone\.tests\.unit.(?!(.*test_v3_federation\.SAMLGenerationTests\.test_sign_assertion_exc.*|.*test_sql_upgrade.FullMigration.*|.*test_hacking_checks\.TestCheckForMutableDefaultArgs\.test.*|.*common\.test_notifications\.NotificationsTestCase.*|.*test_v3_auth\.TestAuthInfo\.test_get_method_names_duplicates.*|.*test_backend_sql\.SqlCatalog\.test_get_service_returns_not_found.*|.*tests\.test_core\.TestTestCase\.test_deprecation_warnings_are_raised_as_exceptions_in_tests.*|.*test_v3_federation.*SAMLGenerationTests.*test_sign_assertion_logs_message_if_xmlsec1_is_not_installed.*))'
+	pkgos-dh_auto_test --no-py2 'keystone\.tests\.unit\.(?!(.*test_v3_federation\.SAMLGenerationTests\.test_sign_assertion_exc.*|.*test_sql_upgrade.FullMigration.*|.*test_hacking_checks\.TestCheckForMutableDefaultArgs\.test.*|.*common\.test_notifications\.NotificationsTestCase.*|.*test_v3_auth\.TestAuthInfo\.test_get_method_names_duplicates.*|.*test_backend_sql\.SqlCatalog\.test_get_service_returns_not_found.*|.*tests\.test_core\.TestTestCase\.test_deprecation_warnings_are_raised_as_exceptions_in_tests.*|.*test_v3_federation.*SAMLGenerationTests.*test_sign_assertion_logs_message_if_xmlsec1_is_not_installed.*|test_v3_auth\.TrustAPIBehavior\.test_redelegate_with_role_by_name|test_v3_auth\.TrustAPIBehavior\.test_redelegation_terminator|test_v3_auth\.TrustAPIBehavior\.test_roles_subset|test_v3_auth\.TestTrustAuthFernetTokenProvider\.test_redelegate_with_role_by_name|test_v3_auth\.TestTrustAuthFernetTokenProvider\.test_redelegation_terminator|test_v3_auth\.TestTrustAuthFernetTokenProvider\.test_roles_subset))'
 endif
 
 	rm -rf $(CURDIR)/debian/tmp/usr/etc

## keystone 26.0.0

=== requirements.txt ===
--- 
+++ 
@@ -38,4 +38,3 @@
 pycadf!=2.0.0,>=1.1.0 # Apache-2.0
 msgpack>=0.5.0 # Apache-2.0
 osprofiler>=1.4.0 # Apache-2.0
-pytz>=2013.6 # MIT

=== debian/changelog ===
keystone (2:26.0.0-0ubuntu1~cloud0) noble-dalmatian; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- root <root@juju-0cd498-prod-ubuntu-openstack-backport-o-matic-7>  Thu, 03 Oct 2024 11:04:40 +0000

keystone (2:26.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:23:59 +0100

keystone (2:26.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 12:06:58 +0100

keystone (2:25.0.0+git2024080716.f4592184-0ubuntu2) oracular; urgency=medium

  * d/control: Drop python3-migrate from (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Aug 2024 13:31:16 +0100

keystone (2:25.0.0+git2024080716.f4592184-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Aug 2024 10:14:50 +0100

keystone (2:25.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 14:28:04 +0100

keystone (2:25.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Wed, 20 Mar 2024 14:19:05 +0000

keystone (2:24.0.0+git2024011916.adfa92b4-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-py38-failure.patch: Drop, no longer needed.
  * d/p/ignore-deprecation-warnings.patch,rules: Don't fail tests for
    DeprecationWarnings and skip test that validates this.
  * d/p/notifications-test-config.patch: ensure
    oslo_messaging_notifications configuration group is setup during
    notification tests.
  * d/rules: Add --with sphinxdoc to tidy generated documentation.
  * d/control: Add missing .

 -- James Page <james.page@ubuntu.com>  Mon, 05 Feb 2024 15:48:02 +0000

=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
Build-Depends:
 apache2-dev,
 debhelper-compat (= 13),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinx-feature-classification (>= 0.3.2),
Build-Depends-Indep:
 crudini,
 python3-bashate (>= 0.5.1),
 python3-bcrypt (>= 3.1.3),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.7),
 python3-dogpile.cache (>= 1.0.2),
 python3-fixtures,
 python3-flake8-docstrings (>= 0.2.1.post1),
 python3-flask (>= 1.0.2),
 python3-flask-restful (>= 0.3.5),
 python3-freezegun (>= 0.3.6),
 python3-hacking,
 python3-jsonschema (>= 3.2.0),
 python3-jwt (>= 1.6.1),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 7.0.0),
 python3-ldap (>= 3.0.0),
 python3-ldappool (>= 2.0.0),
 python3-lxml (>= 4.5.0),
 python3-memcache,
 python3-mock (>= 2.0.0),
 python3-msgpack (>= 0.5.0),
 python3-oauthlib (>= 0.6.2),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 8.5.0+really.8.4.0),
 python3-oslo.i18n (>= 6.1.0-0ubuntu2~),
 python3-oslo.log (>= 3.44.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.10.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-passlib (>= 1.7.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-pycadf (>= 1.1.0),
 python3-pycodestyle (>= 2.0.0),
 python3-pymongo,
 python3-pymysql,
 python3-pysaml2 (>= 5.0.0),
 python3-requests (>= 2.14.2),
 python3-scrypt (>= 0.8.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.blockdiag (>= 1.5.5),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
 python3-sqlalchemy (>= 1.4.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/keystone
Homepage: https://opendev.org/openstack/keystone
Testsuite: autopkgtest-pkg-python

Package: keystone
Architecture: all
Section: python
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-keystone (= ${source:Version}),
 ssl-cert (>= 1.0.12),
 ${misc:Depends},
Recommends:
 ${misc:Recommends},
Description: OpenStack identity service - Daemons
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the daemons.

Package: keystone-common
Architecture: all
Section: python
Depends:
 ${misc:Depends},
Description: OpenStack identity service - Common files
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the common files.

Package: keystone-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack identity service - Documentation
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the documentation.

Package: python3-keystone
Architecture: all
Section: python
Depends:
 keystone-common (= ${source:Version}),
 python3-bcrypt (>= 3.1.3),
 python3-cryptography (>= 2.7),
 python3-dogpile.cache (>= 1.0.2),
 python3-fixtures (>= 3.0.0),
 python3-flask (>= 1.0.2),
 python3-flask-restful (>= 0.3.5),
 python3-jsonschema (>= 3.2.0),
 python3-jwt (>= 1.6.1),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 7.0.0),
 python3-ldap,
 python3-msgpack (>= 0.5.0),
 python3-oauthlib (>= 0.6.2),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 8.5.0+really.8.4.0),
 python3-oslo.i18n (>= 6.1.0-0ubuntu2~),
 python3-oslo.log (>= 3.44.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.10.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 1.4.0),
 python3-passlib (>= 1.7.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-pycadf (>= 1.1.0),
 python3-pymysql,
 python3-pysaml2 (>= 5.0.0),
 python3-scrypt (>= 0.8.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stevedore (>= 1:1.20.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-ldappool (>= 2.0.0),
 python3-memcache,
Provides:
 ${python3:Provides},
XB-Python-Version: ${python3:Versions}
Description: OpenStack identity service - Python 3 library
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the Python 3 libraries.

## keystone 26.0.0+git2025030311.d8c821d0c

=== debian/changelog ===
keystone (2:26.0.0+git2025030311.d8c821d0c-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/p/drop-use-of-crypt.patch: Drop, accepted upstream.
  * d/p/jsonschema-compat.patch: Fix compatibility with older
    jsonschema.
  * d/keystone-common.install: Drop default_catalog.templates, no longer
    provided.

 -- James Page <james.page@ubuntu.com>  Wed, 05 Mar 2025 12:00:40 +0000

keystone (2:26.0.0+git2025011509.86eeb2d20-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/p/drop-blockdiag.patch: Drop, no longer needed.
  * d/p/ignore-deprecation-warnings.patch: Drop, no longer needed.
  * d/p/*: Refresh.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Drop surplus dependencies.
  * d/p/drop-use-of-crypt.patch: Cherry pick fix for Python >= 3.13
    compatibility.

 -- James Page <james.page@ubuntu.com>  Wed, 22 Jan 2025 13:09:39 +0000
